package com.flossom.miniProgram.service;

import com.flossom.common.core.domain.entity.WxUserMember;
import com.flossom.miniProgram.domain.vo.LoginUserVo;
import com.flossom.miniProgram.domain.vo.UserMemberUpdateVo;

public interface IWxUserMemberService {

    WxUserMember wxRegister(String code) throws Exception;

    LoginUserVo login(WxUserMember wxUserMember);

    String upgradeMember(String code) throws Exception;

    LoginUserVo updateUser(UserMemberUpdateVo userMemberUpdateVo);

    LoginUserVo refreshWxUserInfo();

}
